import { Copies, Acquisition, Holds, Price, Availability } from '../../opds';
import { Link } from '../Link';
declare module '../Properties' {
    interface Properties {
        /**
         * Provides a hint about the expected number of items returned.
         */
        getNumberOfItems(): number | undefined;
        /**
         * The price of a publication is tied to its acquisition link.
         */
        getPrice(): Price | undefined;
        /**
         * Indirect acquisition provides a hint for the expected media type that will be acquired after
         * additional steps.
         */
        getIndirectAcquisitions(): Array<Acquisition> | undefined;
        /**
         * Library-specific features when a specific book is unavailable but provides a hold list.
         */
        getHolds(): Holds | undefined;
        /**
         * Library-specific feature that contains information about the copies that a library has acquired.
         */
        getCopies(): Copies | undefined;
        /**
         * Indicated the availability of a given resource.
         */
        getAvailability(): Availability | undefined;
        /**
         * Indicates that the linked resource supports authentication with the associated Authentication
         * Document.
         *
         * See https://drafts.opds.io/authentication-for-opds-1.0.html
         */
        getAuthenticate(): Link | undefined;
    }
}
